{{- if .Values.config.contentInitialSync }}
apiVersion: batch/v1
kind: Job
metadata:
  name: {{ include "don.fullname" . }}-sync-content
  labels:
    {{- include "don.labels" . | nindent 4 }}
  annotations:
    helm.sh/hook: post-install
    helm.sh/hook-weight: "1"
    helm.sh/hook-delete-policy: hook-succeeded
spec:
  backoffLimit: 6
  ttlSecondsAfterFinished: 60
  template:
    metadata:
      labels:
        {{- include "don.selectorLabels" . | nindent 12 }}
    spec:
      serviceAccountName: {{ include "don.serviceAccountName" . }}
      securityContext:
        {{- toYaml .Values.podSecurityContext | nindent 8 }}
      restartPolicy: OnFailure
      containers:
        - name: python
          securityContext:
            {{- toYaml .Values.securityContext | nindent 12 }}
          image: {{ printf "%s:%s" .Values.image.repository .Values.image.tag }}
          imagePullPolicy: {{ .Values.image.pullPolicy }}
          command: ["/app/venv/bin/python3"]
          args: ["manage.py", "sync_content", "--repository", "{{ .Values.config.contentSyncRepository }}"]
          env:
            {{- include "don.djangoBaseEnvironment" . | nindent 12 }}
            - name: GITLAB_ACCESS_TOKEN
              valueFrom:
                secretKeyRef:
                  name: {{ include "don.fullname" . }}
                  key: gitlab-access-token
            - name: GITHUB_ACCESS_TOKEN
              valueFrom:
                secretKeyRef:
                  name: {{ include "don.fullname" . }}
                  key: github-access-token
            - name: DISCOURSE_API_KEY
              valueFrom:
                secretKeyRef:
                  name: {{ include "don.fullname" . }}
                  key: discourse-API-key
{{- end }}
